<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://richfaces.org/a4j" prefix="a4j"%>
<%@ taglib uri="http://richfaces.org/rich" prefix="rich"%>

<f:view>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">    
<html xmlns="http://www.w3.org/1999/xhtml">
     <f:subview id="header_include">
        <jsp:include page="include/header.jsp"/>
    </f:subview>
<body class="listing png">

     <f:subview id="signoff_include">
        <jsp:include page="include/signoff-header.jsp"/>
    </f:subview>
<div class="content">
	<f:subview id="search_navigate_include">
        <jsp:include page="include/search-navigate.jsp"/>
    </f:subview>
    <h:form id="listingForm" >
    <div class="content-body">
   		<div class="control">
            <h:commandLink id="newJobLink" styleClass="upload-video-link" disabled="#{listingBean.newJob != null}" action="#{listingBean.uploadNewVideo}" >
                <h:outputText value="+ Upload a New Video" />
            </h:commandLink>
            <div class="drop-down">
            	<label>Projects: </label>
                <h:selectOneListbox id="domainFilterDropDown" value="#{listingBean.selectedDomain}"  size="1"
                                    valueChangeListener="#{listingBean.domainFilterChanged}">
                    <f:selectItems id="domainFilterItems" value="#{sharedBean.loginProjectDomainsPlusWildcard}" />
                    <a4j:support event="onchange" reRender="jobListPanel, moreVideosLink" limitToList="true" ajaxSingle="true"  />
                </h:selectOneListbox>
                
            </div>
           
            <div class="clear"></div>            
        </div>
         <h:panelGroup id="newVideoPanel" styleClass="new-video-form" layout="block" rendered="#{listingBean.newJob != null}">
            <div class="form-body-top-border background png"></div>
        	<div class="new-video-form-content">
                <h2 class="heading">New Video Details</h2>
            
                <div class="form-item">
                    <label>Video Title</label>
                    <h:inputText maxlength="40" id="new-video-title" styleClass="input-field" value="#{listingBean.newJob.title}" required="true" requiredMessage="Enter a title" />
                    <h:message for="new-video-title" />
                </div>

                <div class="form-item">
                    <label>Description</label>
                    <h:inputTextarea id="new-video-description" styleClass="input-field description-textarea" value="#{listingBean.newJob.description}" rows="3" cols="40" />
                </div>
                <div class="form-item">
                    <label>Your Name</label>
                    <h:inputText maxlength="40" id="new-video-name" styleClass="input-field" value="#{listingBean.newJob.requester}" required="true" requiredMessage="Enter your name" />
                    <h:message for="new-video-name" />
                </div>
                <div class="form-item">
                    <label>Your Email</label>
                    <h:inputText maxlength="40" id="new-video-email" styleClass="input-field" value="#{listingBean.newJob.requesterEmailAddress}" required="true" requiredMessage="Enter your email" />
                    <h:message for="new-video-email" />
                </div>
                <div class="form-item">
                    <label>CC</label>
                    <h:inputTextarea id="new-video-cc" styleClass="input-field cc-textarea" value="#{listingBean.newJob.ccEmail}" rows="3" cols="40" />
                </div>
                <div class="form-item">
                    <label>Project</label>
                    <h:selectOneListbox id="new-video-project" value="#{listingBean.newJob.projectDomain}" size="1" required="true" requiredMessage="Enter a project" >
                        <f:selectItems value="#{sharedBean.loginProjectDomains}" />
                    </h:selectOneListbox>
                    <h:message for="new-video-project" />
                </div>
                <div class="form-item" >
                    <label>Video File</label>
                    <h:inputText maxlength="40" id="new-video-file" value="#{listingBean.newJob.inputMediaFile}" required="true" requiredMessage="Enter a media file" />
                    <h:outputLink id="new-video-file-link">
                        <h:outputText value="Select Video File"/>
                    </h:outputLink>
                    <h:message for="new-video-file" />
                </div>
                <div class="submit" >
                    <a4j:commandLink styleClass="button-green" action="#{listingBean.saveNewJob}" value="Save Video" type="submit"
                                     reRender="newVideoPanel, newJobLink, jobListPanel, moreVideosLink" limitToList="true"  />
                    <span>OR</span>
                    <a4j:commandLink styleClass="cancel" action="#{listingBean.cancelNewJob}" value="Cancel"
                                     reRender="newVideoPanel, newJobLink" limitToList="true" ajaxSingle="true"  />
                </div>

            </div>
             <div class="form-body-bottom-border background png"></div>
        </h:panelGroup>

        <a4j:outputPanel id="jobListPanel" styleClass="content-list" layout="block">   
        <a4j:repeat id="authorizedJobs" value="#{listingBean.authorizedJobs}" var="job" >
            <div class="content-list-item" >
                <h:panelGroup id="thumbnailColComplete" styleClass="thumbnail-item" layout="block" rendered="#{job.complete}" >
                    <h:graphicImage styleClass="thumbnail" value="/images/screen/thumbnails/sample01.jpg" rendered="#{job.renderStaticImage}" />
                    <h:graphicImage styleClass="thumbnail" url="#{job.outputImageUrl}" rendered="#{!job.renderStaticImage}" />
                    <h:outputLink id="thumbnailLink" styleClass="video-thumbnail-overlay" value="#{job.outputMediaUrl}"  />
                </h:panelGroup>
                <h:panelGroup id="thumbnailColInProgress" styleClass="thumbnail-item" layout="block" rendered="#{job.inProcess}" >
                    <img class="thumbnail" src="">
                </h:panelGroup>
                <h:panelGroup id="thumbnailColFailed" styleClass="thumbnail-item" layout="block" rendered="#{job.failed}" >
                    <img class="thumbnail" src="">
                </h:panelGroup>
                 <div class="detail">
                     <h:commandLink id="titleLink" styleClass="title" action="#{listingBean.gotoVideoDetails}">
                         <a4j:actionparam name="param_jobid" value="#{job.id}" assignTo="#{listingBean.selectedJobId}" />
                        <h:outputText value="#{job.id}: #{job.title}"/>							
                     </h:commandLink>
                     <span class="user-info">
                        <h:outputFormat value="by {0} on ">
                            <f:param value="#{job.requester}" />
                        </h:outputFormat>
                        <h:outputText value="#{job.createDate}">
							<f:convertDateTime pattern="EEE, MMM. d, yyyy hh:mm aaa"/>
			            </h:outputText>
                     </span>
                </div>
                 <div class="project" >
                    <h:outputText value="#{job.projectDomain.code}"/>
                </div>
                <div class="clear" ></div>
            </div>
        </a4j:repeat>
        </a4j:outputPanel>

        <a4j:commandLink id="moreVideosLink" action="#{listingBean.fetchNextSetVideos}" value="More videos..." reRender="jobListPanel, moreVideosLink"
                         rendered="#{listingBean.moreVideos}" limitToList="true" ajaxSingle="true" />   
    </div>
     </h:form>
    <div class="content-body-bottom-bg background png"></div>
</div>
<div class="header-bottom">
    <ul class="nav">
    	<li><span>User ID</span></li>
        <li class="last-child"><a href="#">Sign out</a></li>
    </ul>
    <div class="clear"></div>
</div>
<!--[if IE 6]>
<script type="text/javascript" src="/dailies/js/iepngfix_tilebg.js"></script>
<![endif]-->

</body>
</html>
</f:view>